package se.lth.cs.dkinterface.view.components;

import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.ListSelectionModel;
import javax.swing.table.AbstractTableModel;

import net.miginfocom.swing.MigLayout;

public class ScrollingTable extends JPanel 
{
  JTable theTable;
  
  public ScrollingTable(String title, AbstractTableModel model) 
  {
    MigLayout layout = new MigLayout("aligny top");
    setLayout(layout);
    
    setBorder(BorderFactory.createTitledBorder(title));
    
    theTable = new JTable(model);
    theTable.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    JScrollPane tableScroller = new JScrollPane(theTable);
    add(tableScroller, "height 100%, width 100%");
  }
  
  public JTable getTable() 
  {
    return theTable;
  }
  
}
