package se.lth.cs.dkinterface.view.components;

import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.SpringLayout;

public class ScrollingTextArea extends JPanel {

  JTextArea theTextArea;
  
  public ScrollingTextArea(String title) {
    
    SpringLayout layout = new SpringLayout();
    setLayout(layout);    
    
    theTextArea = new JTextArea();
    JScrollPane listScroller = new JScrollPane(theTextArea);
    //listScroller.setPreferredSize(new Dimension(width, height));
    setBorder(BorderFactory.createTitledBorder(title));    
    add(listScroller);
    
    layout.putConstraint(SpringLayout.NORTH, listScroller, 1, SpringLayout.NORTH, this);
    layout.putConstraint(SpringLayout.WEST, listScroller, 1, SpringLayout.WEST, this);
    
    layout.putConstraint(SpringLayout.EAST, this, 1, SpringLayout.EAST, listScroller);
    layout.putConstraint(SpringLayout.SOUTH, this, 1, SpringLayout.SOUTH, listScroller);    
    
    
  }
  
  public JTextArea getTextArea() {
    return theTextArea;
  }
  
  public void append(String str)
  {
    theTextArea.append(str);
    theTextArea.setCaretPosition(theTextArea.getCaretPosition() + str.length());
  }
  
}
