package se.lth.cs.dkserver.model.device;

import java.io.Serializable;
import java.util.Vector;

public class DeviceStatus implements Serializable
{
  private String deviceName;
  private String deviceType;
  
  private final Vector<String> missingRequired;
  
  public DeviceStatus(String deviceName, String deviceType)
  {
    this.deviceName = deviceName;
    this.deviceType = deviceType;
    missingRequired = new Vector<String>();
  }
  
  public void setDeviceName(String deviceName)
  {
    this.deviceName = deviceName;
  }

  public void setDeviceType(String deviceType)
  {
    this.deviceType = deviceType;
  }

  public void addMissingRequired(String property)
  {
    missingRequired.add(property);
  }
  
  public Vector<String> getMissingRequired()
  {
    return missingRequired;
  }
  
  public String getDeviceName()
  {
    return deviceName;
  }
  
  public String getDeviceType()
  {
    return deviceType;
  }
}
