package se.lth.cs.dkserver.model.device;

public class Property {

  public String owner;
  public String name;
  public String type;
  public String value;
  public String datatype;
  public String datavalue;
  public String location;
  
  public Property(String owner, String name, String type, String value, String datatype, String datavalue, String location) {
    this.owner = owner;
    this.name = name;
    this.type = type;
    this.value = value;
    this.datatype = datatype;
    this.datavalue = datavalue;
    this.location = location;
  }
  
  public Property(String owner, String type, String value) {
    this.owner = owner;
    this.type = type;
    this.value = value;
  }  
  
  public Property() {
    this.name = null;
    this.type = null;
    this.datatype = null;
    this.datavalue = null;
    this.location = null;
  }
  
  public boolean sufficient() {
    return owner != null && type != null && value != null;
  }
  
  /*
  public boolean equals(Property p) {
    return p.type.equalsIgnoreCase(this.type);
  }
  */
  /*
  public boolean complete() {
    return sufficient() && datatype != null && datavalue != null;
  } 
  */ 
}
