package se.lth.cs.dkserver.services.server.command;

import java.io.Serializable;

public class Request implements Serializable {

  public final static int MESSAGE_TYPE_NEW_LOC          = 0;
  public final static int MESSAGE_TYPE_DEL_LOC          = 18;  
  public final static int MESSAGE_TYPE_GET_LOC          = 1;
  public final static int MESSAGE_TYPE_RELOAD           = 2;
  public final static int MESSAGE_TYPE_GET_DEVICES      = 4;
  public final static int MESSAGE_TYPE_GET_PROPERTIES   = 5;
  public final static int MESSAGE_TYPE_GET_RESULTS      = 8;
  public final static int MESSAGE_TYPE_GET_DEFAULTS     = 10;
  public final static int MESSAGE_TYPE_SET_DEFAULTS     = 12;
  public final static int MESSAGE_TYPE_SET_DB_USERPASS  = 13;
  public final static int MESSAGE_TYPE_NEW_DEFAULT      = 14;
  public final static int MESSAGE_TYPE_DEL_DEFAULT      = 16;
  public final static int MESSAGE_TYPE_REBUILD          = 17;
  public final static int MESSAGE_TYPE_GET_PARSERS      = 20;
  
  
  public final static int MESSAGE_TYPE_LOCS             = 3;
  public final static int MESSAGE_TYPE_DEVICES          = 6;
  public final static int MESSAGE_TYPE_PROPERTIES       = 7;
  public final static int MESSAGE_TYPE_RESULTS          = 9;
  public final static int MESSAGE_TYPE_DEFAULTS         = 11;
  public final static int MESSAGE_TYPE_PARSERS          = 22;
  
  public final static int MESSAGE_TYPE_LOG_ENTRY        = 66;
  

  
  public int type;
  public String info;
  public Object data;
  
  public Request(int type, String info, Object data) {
    this.type = type;
    this.info = info;
    this.data = data;
  }
  
}
