package se.lth.cs.dkserver.util;

import java.util.Vector;

public class Dbg 
{  
  private static final boolean LOG_TO_CONSOLE = true;

  private static Vector<DebugListener> subscribers = new Vector<DebugListener>();

  public static void println(String str) 
  {
    if(LOG_TO_CONSOLE)
    {
      System.out.println(str);
    }
    for(DebugListener listener : subscribers) 
    {
      listener.newLogEntry(str+"\n");
    }
  }

  public static void print(String str) {
    if(LOG_TO_CONSOLE)
    {    
      System.out.print("" + str);
    }
    for(DebugListener listener : subscribers) 
    {
      listener.newLogEntry(str);
    }  
  }
  
  public static void addLogListener(DebugListener listener) {
    subscribers.add(listener);
  }

}
