package se.lth.cs.dkinterface.control;

import java.util.Hashtable;

import se.lth.cs.dkinterface.view.base.AbstractView;
import se.lth.cs.dkinterface.view.base.Screen;

public abstract class AbstractController
{
  private Screen screen;
  protected Hashtable<String, AbstractView> views = new Hashtable<String, AbstractView>();;
  
  public void addView(AbstractView view)
  {
    views.put(view.getViewName(), view);
    screen.addView(view);    
  }  
  
  protected void setScreen(Screen screen)
  {
    this.screen = screen;
  }
  
  protected Screen getScreen()
  {
    return screen;
  }
  
  protected AbstractView getView(String name)
  {
    return views.get(name);
  }  
  
}
