package se.lth.cs.dkinterface.control;

import se.lth.cs.dkinterface.view.StatusView;
import se.lth.cs.dkinterface.view.base.Screen;

public class MainController extends AbstractController
{
  public MainController(Screen screen)
  {
    setScreen(screen);
  }
  
  public void start()
  {
    initializeViews();
    getScreen().setVisible(true);
  }
  
  private void initializeViews()
  {
    getView(StatusView.NAME).setActivated(true);
  }
  
}
