package se.lth.cs.dkinterface.view.base.listview;

import java.awt.CardLayout;

import javax.swing.JPanel;

import se.lth.cs.dkinterface.view.base.AbstractView;

public class ListViewPanel extends JPanel
{
  private final CardLayout viewLayout;
  
  public ListViewPanel()
  {
    viewLayout = new CardLayout();
    setLayout(viewLayout);
  }

  public void addView(AbstractView view)
  {
    add(view, view.getViewName());
  }

  public void viewActivated(AbstractView view)
  {
    view.setActivated(true);
    viewLayout.show(this, view.getViewName());
  }

}
