USE devicedb;

DROP TABLE IF EXISTS devices;
CREATE TABLE devices (id INT NOT NULL AUTO_INCREMENT PRIMARY KEY, name VARCHAR(40), type VARCHAR(40), location VARCHAR(256));

DROP TABLE IF EXISTS properties;
CREATE TABLE properties (id INT NOT NULL AUTO_INCREMENT PRIMARY KEY, owner VARCHAR(40), type VARCHAR(40), value VARCHAR(256));

DROP TABLE IF EXISTS locations;
CREATE TABLE locations (location VARCHAR(256) PRIMARY KEY, parser VARCHAR(64));

DROP TABLE IF EXISTS defaults;
CREATE TABLE defaults (id INT NOT NULL AUTO_INCREMENT PRIMARY KEY, property VARCHAR(64), scope VARCHAR(64), value VARCHAR(64), newValue VARCHAR(64), reason VARCHAR(64));

INSERT INTO locations (location,parser) VALUES ('devicelib/database.txt','PlainTextFormat1');